%define name gstreamer
%define version 0.6.4
%define release 1mdk

%define major 0.6
%define majorminor 0.6
%define libname %mklibname %{name} %{major}
%define 	_glib2		2.0.1
%define 	_libxml2	2.4.0
%define build_docs 0

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
URL:            http://sourceforge.net/projects/gstreamer/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:  libxslt-python
BuildRequires:	popt-devel
%ifarch %ix86 
BuildRequires: 	nasm => 0.90
%endif
Buildrequires:  automake1.7
BuildRequires: 	bison
BuildRequires:  flex
%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires:  transfig
BuildRequires:  ghostscript
BuildRequires:  docbook-dtd30-sgml
BuildRequires:  xmlto
%endif
# for compatibility with the official packages
Provides:	gstreamer-tools = %version-%release
Prereq: %libname

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries
Requires:	%name >= %version-%release

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libname-devel
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}-%release
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release

%description -n%libname-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#aclocal-1.7 -I common/m4
#automake-1.7
#autoconf

%build
%{?__cputoolize: %{__cputoolize} -c ./libs/ext/cothreads/}
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/gstreamer-%{majorminor} \
  --with-configdir=%{_sysconfdir}/gstreamer \
  --disable-tests --disable-examples \
%if %build_docs
  --enable-docs-build \
%else	
  --disable-docs-build \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make

%install  
rm -rf $RPM_BUILD_ROOT
%makeinstall_std docdir=%buildroot/%_datadir/doc/%name-%version
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/gstreamer-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.a
rm -f %buildroot/%_libdir/*a 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS COPYING.LIB RELEASE
%dir %{_var}/cache/gstreamer-%{majorminor}
%{_bindir}/gst-complete
%{_bindir}/gst-compprep
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-md5sum
%{_bindir}/gst-register
%{_bindir}/gst-typefind
%{_bindir}/gst-feedback
%{_bindir}/gst-xmllaunch
%{_mandir}/man1/gst-complete.*
%{_mandir}/man1/gst-compprep.*
%{_mandir}/man1/gst-feedback.*
%{_mandir}/man1/gst-inspect.*
%{_mandir}/man1/gst-launch.*
%{_mandir}/man1/gst-md5sum.*
%{_mandir}/man1/gst-register.*
%{_mandir}/man1/gst-typefind.*
%{_mandir}/man1/gst-xmllaunch.*

%files -n %libname 
%defattr(-, root, root)
%dir %{_libdir}/gstreamer-%{majorminor}
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstcontrol-%{majorminor}.so.*
%{_libdir}/gstreamer-%{majorminor}/libgstautoplugcache*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstautoplugger*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbasicomega*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptscheduler.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptomega*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbasicwingo*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptwingoscheduler*.so
%{_libdir}/gstreamer-%{majorminor}/libgstbasicgthreadscheduler.so
%{_libdir}/gstreamer-%{majorminor}/libgstoptgthreadscheduler.so
%{_libdir}/gstreamer-%{majorminor}/libgstelements*.so*
%{_libdir}/gstreamer-%{majorminor}/libgsttypes*.so*
%{_libdir}/gstreamer-%{majorminor}/libgststaticautoplug*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbytestream*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstgetbits*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstputbits*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstspider*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstindexers.so

%files -n %libname-devel
%defattr(-, root, root)
%doc DEVEL DOCBUILDING REQUIREMENTS ChangeLog TODO
%dir %{_includedir}/%{name}-%{majorminor}
%dir %{_includedir}/%{name}-%{majorminor}/gst
%{_includedir}/%{name}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/control
%{_includedir}/%{name}-%{majorminor}/gst/control/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/bytestream
%{_includedir}/%{name}-%{majorminor}/gst/bytestream/bytestream.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/getbits
%{_includedir}/%{name}-%{majorminor}/gst/getbits/getbits.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/putbits
%{_includedir}/%{name}-%{majorminor}/gst/putbits/putbits.h
# %{_libdir}/libgstreamer.a
%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstcontrol-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-control-%{majorminor}.pc
%if %build_docs
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{name}-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/%{name}-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-cothreads.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstatomic.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstmemchunk.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-support.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-Gst.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstAutoplug.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstAutoplugFactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstBuffer.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstBufferPool.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstCaps.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstCpu.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstData.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstElement.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstElementFactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstEvent.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstFormat.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstIndex.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstIndexFactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstInfo.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPad.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPadTemplate.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstParse.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstPlugin.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstProbe.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstProps.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstquery.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstRegistry.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstScheduler.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstSchedulerFactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstSystemClock.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstThread.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstType.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstTypeFactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-GstUtils.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/element-types.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstgetbits.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstputbits.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstidct.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstcontrol.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif

%changelog
* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- disable docs build (bug #6139)
- buildrequire xmlto for the docs
- drop patch
- new version

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.3-2mdk
- cputoolize

* Wed Aug 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- patch to remove Werror flag
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix Bug 4357

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- add gst-typefind
- fix doc file listing
- fix devhelp installation
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- fix buildrequires

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- move plugins to libpackage to ease parallel installation

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix buildrequires

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- update file list
- new version

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- buildrequires flex

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- fix major

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add gstreamer-control-0.6.pc
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- mklibname macro
- new major
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- sync file list
- new major version
- drop workarounds for older rpm
- relax buildrequires for docbook-style-xsl
- drop obsoleted patch
- new version

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- only buildrequire nasm on the x86 architecture

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- change cache dir from /var/lib/cache to /var/cache

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- provide gstreamer-tools for compatibility with offical package
- update the patch
- update file list 
- new version 

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- clean installed files we don't ship
- add missing gst-feedback man page

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- prereq libgstreamer to make the scripts work

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- sync with official spec file
- patch xsl stylesheet to fix generation of the manual
- add libgstcontrol library to libgstreamer package
- fix file listing
- drop the patch
- remove the buildconflict with libxslt-proc
- lower optimization to fix program
- new version

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- buildconflicts libxslt-proc
- some more docs
- update buildrequires for doc generation

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- some spec cleanup
- loosen dependancy on main package in lib package to ease upgrades

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable parallel build
- fix python location
- sync with official spec file
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- fix major version to please rpmlint
- spec file fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- oops forget changelog
- libification
- mode macros

* Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
